Skip to main content
GET
/
identity
/
accounts
/
{id}
cURL
curl --request GET \
  --url https://api.paxos.com/v2/identity/accounts/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/identity/accounts/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/identity/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "identity_id": "<string>",
  "description": "<string>",
  "admin_disabled": true,
  "user_disabled": true,
  "metadata": {},
  "ref_id": "<string>",
  "members": [
    {
      "identity_id": "<string>",
      "roles": [],
      "id": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "profile_id": "<string>"
}
OAuth Scope
identity:read_account

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

id
string
required

uuid id of account

Response

200 - application/json

A successful response.

id
string

The id used for all other interactions with this account. Required on update. Auto-generated on create; do not set.

identity_id
string

The primary identity associated with the account. Required on create. Not writable on update.

description
string

A free-text description of the account.

admin_disabled
boolean

true if the account has been disabled by a Paxos admin.

user_disabled
boolean

true if the account has been disabled by the API user.

metadata
object

API User-facing metadata.

ref_id
string

A user-facing ID to prevent duplicate account creation. Unique for all accounts created by the same API user.

members
object[]

Additional Identities with varying types of access to this account.

created_at
string<date-time>

The time this account was created.

summary_status
enum<string>
Available options:
PENDING,
ERROR,
APPROVED,
DENIED,
DISABLED
updated_at
string<date-time>

The time this account was updated.

profile_id
string

The ID of the profile created for the account when create_profile=true. The Profile type is NORMAL. The field is omitted when the account has no associated Profile.

type
enum<string>
Available options:
BROKERAGE,
TRADITIONAL_IRA,
ROTH_IRA,
SEP_IRA,
FINANCIAL_ADVISOR